package com.hemolink.pro.view.fragment

import android.os.Bundle
import androidx.navigation.NavDirections
import com.hemolink.pro.R
import kotlin.Int
import kotlin.String

public class AuthFragmentDirections private constructor() {
  private data class AuthToInfo(
    public val number: String
  ) : NavDirections {
    public override val actionId: Int = R.id.auth_to_info

    public override val arguments: Bundle
      get() {
        val result = Bundle()
        result.putString("number", this.number)
        return result
      }
  }

  public companion object {
    public fun authToInfo(number: String): NavDirections = AuthToInfo(number)
  }
}
