package com.hemolink.pro.services.repository

import androidx.lifecycle.MutableLiveData
import com.hemolink.pro.services.model.BloodModel
import com.hemolink.pro.utils.DataState

interface PostInterface {

    fun postARequest(bloodModel: BloodModel, bloodMutableLiveData: MutableLiveData<DataState<String>>)

    suspend fun getPosts(bloodMutableLiveData: MutableLiveData<DataState<ArrayList<BloodModel>>>)

    fun deletePost(bloodModel: BloodModel)
}