package com.hemolink.pro.services.repository

import androidx.lifecycle.MutableLiveData
import com.hemolink.pro.services.model.UserDetails
import com.hemolink.pro.utils.DataState

interface UserInterface {

    fun updateData(user : UserDetails, userMutableLiveData: MutableLiveData<DataState<String>>)

    suspend fun getUserData(userMutableLiveData: MutableLiveData<DataState<ArrayList<UserDetails>>>)

    suspend fun getMyInfo(userMutableLiveData: MutableLiveData<DataState<UserDetails>>)
}